Bug 220305 - databases/py-odbc: Update to 4.0.17, Rename to databases/py-pyodbc
Summary: databases/py-odbc: Update to 4.0.17, Rename to databases/py-pyodbc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D11587
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-06-27 14:57 UTC by rob.kruus
Modified: 2017-07-28 00:05 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
Patch to Makefile, distinfo and patch file (2.24 KB, patch)
2017-06-27 14:57 UTC, rob.kruus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rob.kruus 2017-06-27 14:57:34 UTC
Created attachment 183841 [details]
Patch to Makefile, distinfo and patch file

Update the port to the latest version and fix the tabs that snuck into the patch file.
Comment 1 rob.kruus 2017-06-27 15:27:28 UTC
Oh, as an aside, the port name  should probably be changed to py-pyodbc to match the pypi naming.
Comment 2 Danilo G. Baio freebsd_committer 2017-07-13 21:48:38 UTC
I've submitted this for review with a few changes:
  - Switch to USES=localbase and remove a patch that does the same
  - STRIP pyodbc.so

Let me know if you agree.

Regards.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-14 10:49:45 UTC
(In reply to Danilo G. Baio from comment #2)

Both changes mentioned are Approved by: portmgr (blanket, infrastructure) and don't require maintainer approval.

Also, setup.py doesnt mention setuptools in any *_requires, so can be removed as a BUILD_DEPENDS (additionally, but not an unconditional reason: python.mk adds setuptools already as a BUILD/RUN dependency)

Further, when adding a review to a bug, obsolete the patches (attachments), OR (more work) keep the attachments up to date. There should only ever be one (obvious) authoritative source of a changeset.

Obsoleted attachments are not deleted, so they can be viewed by anyone in the future if necessary.
Comment 4 rob.kruus 2017-07-14 14:13:02 UTC
I am OK with any changes you suggest.  I am certainly no ports guru -- I just know enough to be dangerous.
Comment 5 Danilo G. Baio freebsd_committer 2017-07-14 16:02:50 UTC
Comment on attachment 183841 [details]
Patch to Makefile, distinfo and patch file

New patch in review D11587
Comment 6 commit-hook freebsd_committer 2017-07-18 23:40:28 UTC
A commit references this bug:

Author: dbaio
Date: Tue Jul 18 23:40:22 UTC 2017
New revision: 446179
URL: https://svnweb.freebsd.org/changeset/ports/446179

Log:
  databases/py-odbc: Update to 4.0.17, Rename to databases/py-pyodbc

  Rename to comply with PyPI scheme

  While here:
   - Switch to USES=localbase and remove a patch that does the same
   - STRIP pyodbc.so

  PR:		220305
  Submitted by:	rob.kruus@gmail.com (maintainer)
  Approved by:	garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11587

Changes:
  head/MOVED
  head/databases/Makefile
  head/databases/py-odbc/
  head/databases/py-pyodbc/
  head/databases/py-pyodbc/Makefile
  head/databases/py-pyodbc/distinfo
  head/databases/py-pyodbc/files/
Comment 7 Danilo G. Baio freebsd_committer 2017-07-18 23:42:17 UTC
Committed, thanks.
Comment 8 commit-hook freebsd_committer 2017-07-28 00:05:07 UTC
A commit references this bug:

Author: dbaio
Date: Fri Jul 28 00:04:54 UTC 2017
New revision: 50593
URL: https://svnweb.freebsd.org/changeset/doc/50593

Log:
  Add Robert Kruus to contributors

  Maintainer of:
    databases/py-pyodbc
    devel/py-tzlocal

  PR:		220305

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml